close all
% ---------------------------------------------------- %
% 
% ---------------------------------------------------- %
K1 = 1;
alpha1 = 1;
T1 = 1;

% ---------------------------------------------------- %
% ȉ͐GȂ
% ---------------------------------------------------- %
% [^̓`B֐
K_nom = 10;
T_nom = 0.0933;
P_s = tf(K_nom,[T_nom 1 0]);

K_susumi = K1*tf([T1 1],[alpha1*T1 1])

omega = logspace(-2,3,1000); % 10^{-1} - 10^{3} 1000
[Ps_g,Ps_p] = bode(P_s,omega);
Ps_g_dB = 20*log10(Ps_g);

[PsK_g,PsK_p] = bode(P_s*K_susumi,omega);
PsK_g_dB = 20*log10(PsK_g);

figure(1)
subplot(211)
semilogx(omega,Ps_g_dB(:))
hold on 
semilogx(omega,PsK_g_dB(:),'r')
grid on
ylabel('Magnitude [dB]')
subplot(212)
semilogx(omega,Ps_p(:))
hold on
semilogx(omega,PsK_p(:),'r')
grid on
xlabel('Frequency [rad/s]')
ylabel('Phase [deg]')